Power & Source of Big Ideas

Cam500B not supported by kernel 4.x (NanoPi NEO Air)

Moderators: chensy, FATechsupport

According to http://wiki.friendlyarm.com/wiki/index. ... inux-4.x.y the Cam500B is not supported by the 4.x.y kernels. Is there someone who could give me some hints on how to get this camera working with a 4.x.y kernel? Thanks in advance!

Regards, Thomas
It seems that there's a OV5640 driver available here:
https://github.com/avafinger/ov5640

And here's some info about how to use this driver in Armbian:
https://forum.armbian.com/topic/3225-na ... 00b-issue/

Is there someone how could provide me with some information on howto compile and load the driver for a NEO Air (i'm currently using this image: nanopi-neo-air_ubuntu-core-xenial_4.11.2_20170905i.img)?
That driver is for older kernel 3.4.x which unfortunately won't work as it is with 4.x kernel.

Making it work has multiple parts which i think won't get mainlined any time soon.
To give you an idea work still remaining:
1. getting proper v4l2 subdevice mapped for any camera in kernel
2. actual driver for OV5640
3. getting all of its features working with driver and making graphics pipeline

Some people are working on CSI interface for V3S, you can take a look http://linux-sunxi.org/Linux_mainlining_effort.
Maybe you can start doing some of these stuff and make it work for H3.
Thanks for your advice, ranjanp.
Unfortunately i do not have enough knowhow for all the topics you mentioned (and not enough time to dig deeper into it).

So i switched to a Raspberry Pi Zero W which works for me without any headache.

Best regards, Thomas

Who is online

In total there are 5 users online :: 0 registered, 0 hidden and 5 guests (based on users active over the past 5 minutes)
Most users ever online was 291 on Tue Aug 13, 2019 1:34 am

Users browsing this forum: No registered users and 5 guests